summaryrefslogtreecommitdiff
path: root/scripts/prereq.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/prereq.sh')
-rwxr-xr-xscripts/prereq.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 717ddf15c..8caa5d5f5 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -233,7 +233,7 @@ printf " ---> checking if bash is installed.. "
if which bash >/dev/null; then
printf "found\n"
printf " ---> checking if it is bash 4.x or 5.x.. "
- LC_ALL=C bash --version 2>/dev/null| egrep -i 'version 4|5' >/dev/null
+ LC_ALL=C bash --version 2>/dev/null| grep -E -i 'version 4|5' >/dev/null
if [ $? -eq 0 ]; then
printf "yes\n"
else
@@ -304,6 +304,15 @@ if ! which git >/dev/null 2>&1; then
fi
printf "found\n"
+printf " ---> checking if xz is installed.. "
+if ! which xz >/dev/null 2>&1; then
+ echo You must install xz to continue.
+ echo
+ out=1
+ printf "not found\n"
+fi
+printf "found\n"
+
printf " ---> checking if ncurses is installed.. "
check_lxdialog=${topdir}/adk/config/lxdialog/check-lxdialog.sh
CURSES_CFLAGS=$(/bin/sh ${check_lxdialog} -ccflags | tr '\n' ' ')
@@ -914,7 +923,7 @@ else
fi
if [ -n "$NEED_CLANG" ]; then
- if ! which clang-13 >/dev/null 2>&1; then
+ if ! which clang-18 >/dev/null 2>&1; then
printf "You need clang-13 to build $NEED_CLANG \n"
out=1
fi